# Thread_Mutex.h File Reference

`#include "ace/config-all.h"`
`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_Thread.h"`
`#include "ace/Thread_Mutex.inl"`

Include dependency graph for Thread_Mutex.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Thread_Mutex
| ACE_Thread_Mutex wrapper (only valid for threads in the same process). More...

## Detailed Description

Id
  Thread_Mutex.h,v 4.5 2006/02/10 10:21:56 jwillemsen Exp

Moved from Synch.h.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>